Subject: Uploading msql 1.0.16-1 (Mini SQL engine and programs)

From: [email-masked] (Martin Schulze)
Date: Wed, 7 Aug 96 02:23 MET DST

Good day folks,

Here's my first official release of the mSQL Database engine and tools
for Debian Linux.

I'm sorry that it took quite a long time until publishing, but I had
serious problems in assigning a pair of uid/gid for the database and
there was much work to do with the engine.

Anyway I think this package now is well tested and patched to cope with
real work.  As you can imagine I have included several patches.

  * ILIKE (instead of LIKE) works case insensitive
  * UPDATE account SET balance = balace + 100 WHERE nr = 12345
    now is possible
  * msqld may use RFC 1413 ident protocol to authentificate remote
    users
  * included manpages for all programs and API functions
  * corrected msqlConnect() to work with constant hostnames correctly
  * Bambis latest patch concerning the lost-table problem
  * msqlconfig to configure the engine

-- Begin Changes --

Date:  6 Aug 96 22:35:43 UT
Format: 1.5
Distribution: unstable
Binary: msql
Source: msql
Architecture: source i386
Version: 1.0.16-1
Maintainer: Martin Schulze <[email-masked]>
Description: Mini SQL engine and programs
Priority: Routine
Files:
 1d7fe0d8b767a82c722f3ebd9f642647 31825 non-free - msql_1.0.16-1.diff.gz
 aa7c9ed483f7598e6cd4e8dd1a7ac294 269221 non-free - msql_1.0.16-1.tar.gz
 06c8ce6bffd10ab5f4c8029d74bd2c04 22056 non-free - msql_1.0.16-1_i386.deb
 0c2958cc1fdefd2478e5f1c84ea94db1 62130 non-free - msqld_1.0.16-1_i386.deb
 f5c854d39c42cf4f7873ce84a21ef1d8 108096 non-free - libmsql1_1.0.16-1_i386.deb
Changes:
 * First release
 * Several changes, see debian.ChangeLog

-- End Changes --

There will be two more mSQL packages that I'll upload within the next
days: msqlperl, the perl frontend, and dbf2msql, a dBase<->mSQL
converter.

Still todo:

  * manpage msql(5) documenting the provided subset of ANSI-SQL
  * Test xsqlforms
  * package msqlforms (ftp://ftp.infodrom.north.de/pub/texte/IN-GS/software/unix/msql/msqlforms1.01.t.z)
  * extract patches for David Hughes
  * Think about a better access control

Have a pleasant day,

	Joey

PS: As usual first in ftp.infodrom.north.de in /pub/people/joey/debian/

--
  / Martin Schulze  *  Debian Linux Maintainer  *  [email-masked] /
 / http://www.debian.org/       http://www.infodrom.north.de/~joey/
/  Never trust an operating system you don't have sources for!  /